Subject: IPv6 causes global warming

From: "John Levine" <[email-masked]>
Date: 22 Nov 2021 13:50:34 -0500

A piece in TechRadar says:

 Devices that use IPv4 to connect to the internet use less power than
 gadgets running on IPv6. A report by the Internet Engineering Task
 Force (IETF) has found, by comparing identical smartphones running on
 IPv4 and IPv6 respectively, that IPv6 requires roughly 5% more power
 to run. 5% may seem like a small amount, but when multiplied by a
 billion or two, that number becomes a significant energy expenditure. 

It then goes on to say that the solution is to forget IPv6 and instead
lease IPv4 addresses.  By an astonishing coincidence, the author is a guy
who leases IPv4 addresses.

https://www.techradar.com/news/the-environmental-opportunity-of-unused-ipv4s

You do not have to tell me this is nonsense, the IETF doesn't produce
reports, and certainly not reports about phone power consumption (so
please don't.) But does anyone have any idea what this "report' might be?

R's,
John

---

From: Erik Kline <[email-masked]>
Date: Mon, 22 Nov 2021 10:54:40 -0800

> please don't.) But does anyone have any idea what this "report' might be?
The main thing that comes to mind when I think of "IPv6" and "power
consumption" is RFC 7772 <https://www.rfc-editor.org/rfc/rfc7772.html>,
"Reducing Energy Consumption of Router Advertisements" (but there's zero
mention of IPv4 in there).

---

From: Ole Troan <[email-masked]>
Date: Mon, 22 Nov 2021 20:01:20 +0100

RFC9119 or some of the work leading up to it perhaps?

O. 

> On 22 Nov 2021, at 19:55, Erik Kline <[email-masked]> wrote:
> 
> 
> The main thing that comes to mind when I think of "IPv6" and "power consumption" is RFC 7772, "Reducing Energy Consumption of Router Advertisements" (but there's zero mention of IPv4 in there).

---

From: Nick Hilliard <[email-masked]>
Date: Mon, 22 Nov 2021 19:19:26 +0000

John Levine wrote on 22/11/2021 18:50:
> But does anyone have any idea what this "report' might be?

draft-petrescu-v6ops-ipv6-power-ipv4?

The methodology raises questions about whether the results are reliable 
enough to be quoted.

Nick

---

From: Warren Kumari <[email-masked]>
Date: Mon, 22 Nov 2021 15:09:27 -0500

> draft-petrescu-v6ops-ipv6-power-ipv4?

Quick! Someone reference
https://datatracker.ietf.org/doc/draft-wkumari-not-a-draft/ :-P

W

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra

---

From: Töma Gavrichenkov <[email-masked]>
Date: Mon, 22 Nov 2021 22:30:16 +0200

Peace,

> A piece in TechRadar says:

Reported that to TechRadar, let's see what they do.

--
Töma

---

From: Töma Gavrichenkov <[email-masked]>
Date: Mon, 22 Nov 2021 22:33:51 +0200

Peace,

On Mon, Nov 22, 2021 at 10:10 PM Warren Kumari <[email-masked]> wrote:
> Quick! Someone reference https://datatracker.ietf.org/doc/draft-wkumari-not-a-draft/ :-P

A document which states that the document should not be trusted?

You should've included Epimenides as a co-author.

--
Töma

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Nov 2021 10:31:05 +1300

> The methodology raises questions about whether the results are reliable

Regardless of that, it's far from clear that even if those results were valid in 2017 that they are still valid today, and how they relate to total power consumption, because for all I know base stations use 10% less power for IPv6 and core routers use 12.5% less. Warren, shall I write a draft raising those hypotheses?

How much power is being wasted at this moment by domestic NATs and CGN boxes?

    Brian

---

From: Töma Gavrichenkov <[email-masked]>
Date: Tue, 23 Nov 2021 00:36:58 +0200

Peace,

On Mon, Nov 22, 2021 at 11:31 PM Brian E Carpenter
<[email-masked]> wrote:
> Regardless of that, it's far from clear [..] how [those results] relate to
> total power consumption

That was never the point of the draft in question.  Alexandre Petrescu
tried to figure out if IPv6 was using more power precisely on
smartphones, as part of the broad IPv6 adoption rate topic, to figure
out if end users could be switching off IPv6 on the smartphone because
IPv6 empties the battery.[1]

>From purely the sustainability point even if we still were to see a 5%
difference between IPv4 and IPv6, that wouldn't have really mattered
because the core idea of sustainability is not to reduce total
consumption to a halt but to:

- replace non-renewable energy sources and materials with renewable ones
  (for a specific definition of "renewable");
- eliminate physical waste
  (for a specific definition of "physical").

The author of the TechRadar article doesn't seem to be actually aware
of the sustainability and climate destabilization topic (which could
be explained by his conflict of interest, as pointed before on the
thread).

And I would argue that draft-petrescu-v6ops-ipv6-power-ipv4 could not
be reworked to a sustainability draft at all because it basically
states that IPv6 uses more power than IPv4:

- on a particular device;
- using an OS based on an outdated by now Android version with unknown
proprietary modifications and optimizations by a vendor from a country
where the IPv6 adoption rate was below 2% at the moment;[2]
- using a specific transmission technology (4G radio);
- as measured by a particular, presumably proprietary, tool;
- under other particular circumstances;
- back in 2017.

Even if we take a smartphone from the same vendor today the results
could be very different because China has recently jumped to no less
than 15% v6 adoption rate[3] and has a well-drafted plan to be IPv6
single stack by 2030.[4]  This is just an anecdotal evidence, a
beginning of a dialogue that didn't seem to continue ever since, and
in no way a part of the climate destabilization topic even by the
intention of its authors.  Starting an Internet sustainability
research with this isn't a good idea IMO.

Ref.
[1] https://mailarchive.ietf.org/arch/msg/v6ops/42MVZYPwzLV4xiDs8rpW54FOyog/
[2] https://blog.apnic.net/2017/07/11/towards-fully-connected-ipv6-network-china/
[3] https://labs.apnic.net/dists/v6dcc.html
[4] https://www.theregister.com/2021/07/26/china_single_stack_ipv6_notice/

--
Töma

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 22 Nov 2021 19:26:23 -0500

Is the fact that the author of the piece is the CEO of a company peddling
an IPv4 address management scheme relevant to the credibility of the
unusual claims he is making?

---

From: John C Klensin <[email-masked]>
Date: Mon, 22 Nov 2021 20:07:48 -0500

--On Tuesday, November 23, 2021 10:31 +1300 Brian E Carpenter
<[email-masked]> wrote:

>> The methodology raises questions about whether the results
>> are reliable enough to be quoted.
> 
> Regardless of that, it's far from clear that even if those
> results were valid in 2017 that they are still valid today,
> and how they relate to total power consumption, because for
> all I know base stations use 10% less power for IPv6 and core
> routers use 12.5% less. Warren, shall I write a draft raising
> those hypotheses?
> 

And how much power is being wasted by this discussion? :-(

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 22 Nov 2021 20:48:38 -0500

The Crypto-bros are currently consuming 15GW.

But don't suggest that this is a bad thing or evidence that they might be
fanatics unable to see the flaws in their ideological contraption or they
will start coinsplaining you.

That said, one of the claims being made for 'New IP' that the ITU is to be
peddling is that it allows for shorter addresses for efficiency.

I remember we hit a very similar problem with XML in the early days when
people would measure the number of bytes the encoding took up and use that
as a talking point as if it meant anything. So we wrote a compression
scheme that nobody ever used knowing nobody would ever use it but that it
would end the argument.

IPv4 and IPv6 headers are both larger than absolutely necessary. WiFi and
other wireless connections are prone to lost packets which in the TCP/IP
world are only remediated end to end.

So a small 'header compression' scheme for wireless links and 'constrained
devices' that enables local retry might be the answer to this type of
objection. It is at any rate a caltrop we should have ready in the bag in
case of need.

If 40 bytes matter then so do 20. Rather than limiting device addresses to
8 bits (I have far more than 256 IoT devices in my house) use proper IPv6
addresses, just only send them over the wire once per session.

The MAC address is sufficient to identify the device. All that is needed is
a session identifier and whatever bits are needed for link layer
reliability.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Nov 2021 15:03:10 +1300

> So a small 'header compression' scheme for wireless links and 'constrained devices' that enables local retry might be the answer to this type of objection.

I think you might find people working on constrained devices in some obscure corners:

https://datatracker.ietf.org/wg/6lo/documents/
https://datatracker.ietf.org/wg/lpwan/documents/
https://datatracker.ietf.org/wg/lwig/documents/
https://datatracker.ietf.org/wg/ace/documents/
https://datatracker.ietf.org/wg/core/documents/

to name but a few.

Regards
    Brian

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 22 Nov 2021 21:35:45 -0500

On Mon, Nov 22, 2021 at 9:03 PM Brian E Carpenter <
[email-masked]> wrote:

> > So a small 'header compression' scheme for wireless links and
> 'constrained devices' that enables local retry might be the answer to this
> type of objection.
>

Maybe the IAB could suggest the various parties get together and propose a
single solution rather than five different ones?

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Nov 2021 16:00:27 +1300

On 23-Nov-21 15:35, Phillip Hallam-Baker wrote:
> 
> 
> On Mon, Nov 22, 2021 at 9:03 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     https://datatracker.ietf.org/wg/6lo/documents/ <https://datatracker.ietf.org/wg/6lo/documents/>
>     https://datatracker.ietf.org/wg/lpwan/documents/ <https://datatracker.ietf.org/wg/lpwan/documents/>
>     https://datatracker.ietf.org/wg/lwig/documents/ <https://datatracker.ietf.org/wg/lwig/documents/>
>     https://datatracker.ietf.org/wg/ace/documents/ <https://datatracker.ietf.org/wg/ace/documents/>
>     https://datatracker.ietf.org/wg/core/documents/ <https://datatracker.ietf.org/wg/core/documents/>
> 
>     to name but a few.
> 
> 
> Maybe the IAB could suggest the various parties get together and propose a single solution rather than five different ones?

They are definitely complementary, but there are other people who can comment better than me. There's also
https://datatracker.ietf.org/wg/iotops/documents/
where I guess coordination will occur.

    Brian

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 23 Nov 2021 08:45:15 +0100

Exactly, I recall a study from Nokia, many years ago, demonstrating that the use of NAT is terrible in terms of energy consumption. That was especially relevant in cellular phones, but if you add the thousands of millions of NAT boxes ...

Regards,
Jordi
@jordipalet

El 22/11/21 22:32, "ietf en nombre de Brian E Carpenter" <[email-masked] en nombre de [email-masked]> escribió:

        Brian

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 23 Nov 2021 09:22:09 +0100

I am, sorry, Warren, but I personally cannot support this draft because 
Section 4 offends me.  I do, however, want to commend you for the number 
of revisions you have made.

Eliot

---

From: Vasilenko Eduard <[email-masked]>
Date: Tue, 23 Nov 2021 08:27:35 +0000

It is difficult to understand how is it possible to claim that transmission of additional 20Bytes would not consume more energy?
Brian, how it could be that Base Station or Core router could break the law of physics?? Especially in the situation when they could not look and optimize anything inside the GTP tunnel.

At first glance, less energy efficiency should be 20/800=2.5% (many reports on the average packet size 750 - 800 bytes),
But look at this research https://www.matec-conferences.org/articles/matecconf/pdf/2019/41/matecconf_cscc2019_03002.pdf
on how chatty ND is. Effectively, IPv6 average packet size is smaller on the 1st hop and many additional packets would be generated.
I have understood now why it could be 5% for a smartphone. I trust this estimation.

The argument of Brian about CGNAT's absence is the strong one. Let's investigate it a little more carefully.
Let's assume the worst is that the host and the server would waste 5 more points of energy each (that is probably not true for the server where the percentage of ND packets would be less).
Let's assume that 6 hops are between the host and the server that have 10x better energy efficiency per bit (because of hardware forwarding and switching). It would give 6*5/10=3 additional points of energy consumption for all 6 hops (here again the worst case is because ND may be completely absent on networking hops, then deficiency would drop 5%-> 2.5%).
Let's assume that CGNAT is 3x more efficient than host/server. It would give energy savings of 100/3=33 points.
33>>13. (in reality, would be even better after more careful calculation)
Hence, the full E2E picture with CGNAT permits to claim that IPv6 has considerable savings of energy.

PS: Ignoring the evident (that additional 20 bytes would consume more energy on every hop) would undermine the trust in IETF.

Eduard
-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Brian E Carpenter
Sent: Tuesday, November 23, 2021 12:31 AM
To: Nick Hilliard <[email-masked]>; John Levine <[email-masked]>
Cc: [email-masked]
Subject: Re: IPv6 causes global warming

On 23-Nov-21 08:19, Nick Hilliard wrote:
> The methodology raises questions about whether the results are 
> reliable enough to be quoted.

    Brian

---

From: <[email-masked]>
Date: Tue, 23 Nov 2021 09:17:03 +0000

Hi Jordi, all, 

I guess you are referring to the study that was echoed in RFC7849:

==
      According to [Power], the consumption of a cellular
      device with a keep-alive interval equal to 20 seconds
      (which is the default value in [RFC3948], for example)
      is 29 mA (2G) / 34 mA (3G).  This consumption is reduced
      to 16 mA (2G) / 24 mA (3G) when the interval is
      increased to 40 seconds, to 9.1 mA (2G) / 16 mA (3G) if
      the interval is equal to 150 seconds, and to 7.3 mA (2G)
      / 14 mA (3G) if the interval is equal to 180 seconds.
      When no keep-alive is issued, the consumption would be
      5.2 mA (2G) / 6.1 mA (3G).  The impact of keepalive
      messages would be more severe if multiple applications
      are issuing those messages (e.g., SIP, IPsec, etc.).
==

That’s said, and as usual, we need to be careful in extrapolating results. 

Cheers,
Med

> -----Message d'origine-----
> De : ietf <[email-masked]> De la part de JORDI PALET MARTINEZ
> Envoyé : mardi 23 novembre 2021 08:45
> À : [email-masked]
> Objet : Re: IPv6 causes global warming
> 
> Exactly, I recall a study from Nokia, many years ago, demonstrating that
> the use of NAT is terrible in terms of energy consumption. That was
> especially relevant in cellular phones, but if you add the thousands of
> millions of NAT boxes ...
> 
> Regards,
> Jordi
> @jordipalet
> 
> 
> 
> El 22/11/21 22:32, "ietf en nombre de Brian E Carpenter" <ietf-
> [email-masked] en nombre de [email-masked]> escribió:
> 
>     Regardless of that, it's far from clear that even if those results
> were valid in 2017 that they are still valid today, and how they relate to
> total power consumption, because for all I know base stations use 10% less
> power for IPv6 and core routers use 12.5% less. Warren, shall I write a
> draft raising those hypotheses?
> 
> This electronic message contains information which may be privileged or
> confidential. The information is intended to be for the exclusive use of
> the individual(s) named above and further non-explicilty authorized
> disclosure, copying, distribution or use of the contents of this
> information, even if partially, including attached files, is strictly
> prohibited and will be considered a criminal offense. If you are not the
> intended recipient be aware that any disclosure, copying, distribution or
> use of the contents of this information, even if partially, including
> attached files, is strictly prohibited, will be considered a criminal
> offense, so you must reply to the original sender to inform about this
> communication and delete it.
> 
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 23 Nov 2021 10:56:44 +0100

Hi Med,

No, it was not an IETF document, it was another study. I can't find anymore a link where it was published ...
 
Regards,
Jordi
@jordipalet

El 23/11/21 10:18, "[email-masked] en nombre de [email-masked]" <[email-masked] en nombre de [email-masked]> escribió:

    Hi Jordi, all, 

    ==

    Cheers,
    Med

---

From: Olivier MJ Crépin-Leblond <[email-masked]>
Date: Tue, 23 Nov 2021 11:55:17 +0100

...results that are unfortunately out of date. Nobody uses 2G anymore, 
3G is on its way out, 4G is the standard now and 5G's being rolled out. 
And of course consumption figures change for each phone and at each 
phone architecture. Unless you look at power consumption figures for the 
ICs that supports each type of communication... and then there's the 
amount of time people leave their charger plugged in.
The allegations are devoid of any scientific back-up and look like 
searching for attention.
Best,

Olivier

On 23/11/2021 10:17, [email-masked] wrote:
>> De : ietf<[email-masked]>  De la part de JORDI PALET MARTINEZ
>> À :[email-masked]
>> [email-masked]  en nombre [email-masked]> escribió:
>>

---

From: Michael Richardson <[email-masked]>
Date: Tue, 23 Nov 2021 05:57:19 -0500

> single solution rather than five different ones?

That's work in many different layers, and it's all complementary.

The header compression stuff is all in 6lo.  44 byte IPv6 headers can be 7 to
9 bytes long in some circumstances, leveraging the redundant information from
the L2 header.  Privacy preserving? Not very.  So a reason why we might want
to carry around extra entropy (which costs energy) is privacy.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Warren Kumari <[email-masked]>
Date: Tue, 23 Nov 2021 14:39:32 -0500

Section 4 was added purely because Nick Hilliard said that he would DoS the
last call process if I didn't include his text; in classic IETF fashion I
blustered for a while, before realizing that I don't actually care, and
adding the text in the interests of moving the document along.
If you object to the section, please take it up with Nick.

If you are not able to reach some sort of agreement / compromise with Nick,
we can discuss having an interim meeting, potentially with some
representation from the feline community.
W

On Tue, Nov 23, 2021 at 3:22 AM Eliot Lear <[email-masked]> wrote:

> Section 4 offends me.  I do, however, want to commend you for the number of
> revisions you have made.
>
> Eliot

---

From: Andrew Campling <[email-masked]>
Date: Tue, 23 Nov 2021 21:18:02 +0000

In the interests of diversity, I’d like to see the canine community represented in any such discussion (and ideally in an updated version of Section 4).

Andrew

From: Warren Kumari <[email-masked]>
Sent: 23 November 2021 19:40
To: Eliot Lear <[email-masked]>
Cc: [email-masked]
Subject: Re: IPv6 causes global warming

Section 4 was added purely because Nick Hilliard said that he would DoS the last call process if I didn't include his text; in classic IETF fashion I blustered for a while, before realizing that I don't actually care, and adding the text in the interests of moving the document along.
If you object to the section, please take it up with Nick.

If you are not able to reach some sort of agreement / compromise with Nick, we can discuss having an interim meeting, potentially with some representation from the feline community.
W

On Tue, Nov 23, 2021 at 3:22 AM Eliot Lear <[email-masked]<mailto:[email-masked]>> wrote:

I am, sorry, Warren, but I personally cannot support this draft because Section 4 offends me.  I do, however, want to commend you for the number of revisions you have made.

Eliot

On Mon, Nov 22, 2021 at 2:19 PM Nick Hilliard <[email-masked]<mailto:[email-masked]>> wrote:

W

Nick

---

From: Larry Masinter <[email-masked]>
Date: Tue, 23 Nov 2021 14:30:26 -0800

The Internet Is Made Of Cats - YouTube <https://www.youtube.com/watch?v=zi8VTeDHjcM>  normative reference. Cats; no dogs.

--

 <https://LarryMasinter.net> https://LarryMasinter.net  <https://interlisp.org> https://interlisp.org

From: ietf <[email-masked]> On Behalf Of Andrew Campling
Sent: Tuesday, November 23, 2021 1:18 PM
To: Warren Kumari <[email-masked]>; Eliot Lear <[email-masked]>
Cc: [email-masked]
Subject: RE: IPv6 causes global warming

Andrew 

From: Warren Kumari <[email-masked] <mailto:[email-masked]> > 
Sent: 23 November 2021 19:40
To: Eliot Lear <[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> 
Subject: Re: IPv6 causes global warming

W

On Tue, Nov 23, 2021 at 3:22 AM Eliot Lear <[email-masked] <mailto:[email-masked]> > wrote:

Eliot

 

On Mon, Nov 22, 2021 at 2:19 PM Nick Hilliard <[email-masked] <mailto:[email-masked]> > wrote:

 

W

Nick

-- 

 

--

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 24 Nov 2021 14:03:43 +1300

Those of us who have worked on avian carriers for IPv6 have a great distaste for any lip service paid to cats, as we do not like it at all when packet loss is caused by feline intervention. At the very least, the Security Considerations must discuss this issue, which is only referred to very 
indirectly in RFC6214. It probably also applies to RFC1149 and RFC2549.

Regards
    Brian

On 24-Nov-21 08:39, Warren Kumari wrote:
> Section 4 was added purely because Nick Hilliard said that he would
> DoS the last call process if I didn't include his text; in classic
> IETF fashion I blustered for a while, before realizing that I don't
> actually care, and adding the text in the interests of moving the
> document along. If you object to the section, please take it up with
> Nick.
> 
> If you are not able to reach some sort of agreement / compromise with
> Nick, we can discuss having an interim meeting, potentially with some
> representation from the feline community. W
> 
> 
> 
> I am, sorry, Warren, but I personally cannot support this draft
> because Section 4 offends me.  I do, however, want to commend you for
> the number of revisions you have made.
> 
> Eliot
> 
>> https://datatracker.ietf.org/doc/draft-wkumari-not-a-draft/
>> <https://datatracker.ietf.org/doc/draft-wkumari-not-a-draft/> :-P
>> 
>> W
>> 
>> 
>> -- The computing scientist’s main challenge is not to get confused
>> by the complexities of his own making. -- E. W. Dijkstra
> 
> 
> 
> -- The computing scientist’s main challenge is not to get confused by
> the complexities of his own making. -- E. W. Dijkstra

---

From: Sandy Wills <[email-masked]>
Date: Wed, 24 Nov 2021 08:21:16 -0500

One of the canine members of my household wants to know what treats will 
be at the interim meeting.  Another one has pointed out that if there 
are felines present, no other treats will be needed, thus saving scarce 
funding for the host.

Sandy

On 11/23/21 8:03 PM, Brian E Carpenter wrote:
> Those of us who have worked on avian carriers for IPv6 have a great 
> distaste for any lip service paid to cats, as we do not like it at all 
> when packet loss is caused by feline intervention. At the very least, 
> the Security Considerations must discuss this issue, which is only 
> referred to very indirectly in RFC6214. It probably also applies to 
> RFC1149 and RFC2549.
> 
> Regards
>     Brian
> 

-- 
Sandy Wills
(727) 267-8037
[email-masked]

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 24 Nov 2021 15:13:59 +0000

My canine is fine with felines as long as they do typical cat behavior and slink around the back of the room.  And promise not to discuss IPv10.  The dog also wants to know if "who's a good dog" will be treated as a clarifying question, or if it has to wait for the open mic?

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 24 Nov 2021 07:25:56 -0800

Dogs are from the ITU-T, cats are from the IETF.

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug

---

From: "Gorman, Pierce" <[email-masked]>
Date: Wed, 24 Nov 2021 15:32:06 +0000

SPAM is from swine.  :-)

---

From: Khaled Omar <[email-masked]>
Date: Wed, 24 Nov 2021 18:18:21 +0000

>> And promise not to discuss IPv10.

I think it should take its chance to be discussed, I can see a light at the end of the tunnel.

Khaled Omar

---

From: Töma Gavrichenkov <[email-masked]>
Date: Thu, 25 Nov 2021 21:25:38 +0200

Peace,

On Mon, Nov 22, 2021 at 8:51 PM John Levine <[email-masked]> wrote:
>  "A report by the Internet Engineering Task
>  Force (IETF) has found"

It no more does.

--
Töma